{
  description = "Collection of linters and fixers for dealing with APKBUILDs and Alpine Linux's aports";

  inputs.nixpkgs.url = "github:nixos/nixpkgs/nixos-unstable";
  inputs.flake-utils.url = "github:numtide/flake-utils";

  outputs =
    { self
    , nixpkgs
    , flake-utils
    , ...
    }:
    flake-utils.lib.eachDefaultSystem (system:
    let
      pkgs = nixpkgs.legacyPackages.${system};
    in
    rec {
      packages = {
        atools = pkgs.callPackage ./atools.nix { };
      };
      defaultPackage = packages.atools;
      devShell = pkgs.mkShell {
        nativeBuildInputs = with pkgs;
          [
            redo-sh
            bats
            scdoc
            lua5_3
            go_1_18
          ] ++ lib.optionals pkgs.stdenv.isLinux [ busybox ];
      };
      overlays =
        final:
        prev:
        {
          inherit (packages) atools;
        };
    });
}
